# Functor Core_set.Make_using_comparator

    module Make_using_comparator: functor (Elt : sig
    type t

    include Comparator.S

    val t_of_sexp : Sexplib.Sexp.t -> t
    val sexp_of_t : t -> Sexplib.Sexp.tend) -> S
        with type Elt.t = Elt.t
        with type Elt.comparator_witness = Elt.comparator_witness

`Make_using_comparator` builds a set from an element type that has a comparator.

`Make_binable_using_comparator` is similar, except the element and set types support `bin_io`.

Parameters:

`Elt` | : | `sig type t with sexp include Comparator.S with type t := t end`